// Author: Hector Navarro (hnavarro@ciens.ucv.ve)
//         Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This class define an interface for collision detection.
//

#ifndef COLLISION_DETECTION_H__
#define COLLISION_DETECTION_H__

#include "../global.h"

BEGIN_TEG_NAMESPACE();

class ICollisionDetection {
 public:
  // CollisionDetection constructor and destructor.
  ICollisionDetection();
  virtual ~ICollisionDetection();

  // Method to detect collision between to elements.
  virtual bool Detect() = 0; 

 private:
  DISALLOW_COPY_AND_ASSIGN(ICollisionDetection);
};

END_TEG_NAMESPACE();

#endif  // COLLISION_DETECTION_H__
